# Generated by Django 2.1.7 on 2021-04-15 19:16

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models
from django.db.models import Q

def create_groups(apps, scheme_editor):
    
    Group = apps.get_model('auth', 'Group')
    Permission = apps.get_model("auth", "Permission")
    system_groups = ["Sistema-Iris", "Sistema-Matrix", "Sistema-Sentinel", "Sistema-Pulso"]

    for group in system_groups:
        agent_group, p = Group.objects.get_or_create(name=group)

    agent_group, p = Group.objects.get_or_create(name="Agente Soporte")

    for permission in Permission.objects.filter(content_type__app_label='tech_support').filter(Q(content_type__model='ticketmodel')):

        agent_group.permissions.add(permission)

    admin_group, p = Group.objects.get_or_create(name="Administrador Soporte")

    for permission in Permission.objects.filter(content_type__app_label='tech_support').filter(Q(content_type__model='tickettablesmodel')):

        admin_group.permissions.add(permission)

def delete_groups(apps, scheme_editor):
    Group = apps.get_model('auth', 'Group')
    group_names = ["Agente Soporte","Administrador Soporte", "Sistema-Iris", "Sistema-Matrix", "Sistema-Sentinel", "Sistema-Pulso"]
    
    for name in group_names:
        try:
            Group.objects.filter(name=name).delete()
        except:
            pass

class Migration(migrations.Migration):

    dependencies = [
        ('tech_support', '0002_auto_20210415_1516'),
    ]

    operations = [
        migrations.RunPython(create_groups, delete_groups)
    ]
